package com.demo.whousemywifi.Ipcalculator;

import android.content.Context;
import android.content.Intent;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.Uri;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.inputmethod.InputMethodManager;
import android.widget.Button;
import android.widget.EditText;
import android.widget.RelativeLayout;
import android.widget.Toast;
import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.Toolbar;

import com.demo.whousemywifi.AdAdmob;
import com.demo.whousemywifi.R;

import com.demo.whousemywifi.common.PrefManager;


public class Converter_Activity extends AppCompatActivity {
   
    Button convertBin;
    Button convertDecimal;
    Button convertHexadecimal;
    private String currentIP;
    EditText inputBinary;
    EditText inputHexadecimal;
    EditText inputIPAddress;
    PrefManager prefManager;
    
    Toolbar toolbar;

 



    
    @Override 
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_converter);

        AdAdmob adAdmob = new AdAdmob( this);
        adAdmob.BannerAd((RelativeLayout) findViewById(R.id.banner), this);
        adAdmob.FullscreenAd_Counter(this);



        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        this.toolbar = toolbar;
        setSupportActionBar(toolbar);
        getSupportActionBar().setDisplayHomeAsUpEnabled(true);
        getSupportActionBar().setHomeButtonEnabled(true);
        getSupportActionBar().setDisplayShowTitleEnabled(false);
        getSupportActionBar().setHomeAsUpIndicator(R.drawable.toolbar_back_black_dark_icon);
        
        
       
        PrefManager prefManager = new PrefManager(this);
        this.prefManager = prefManager;

        this.inputIPAddress = (EditText) findViewById(R.id.converter_ipaddress);
        this.inputBinary = (EditText) findViewById(R.id.ipbinary);
        this.inputHexadecimal = (EditText) findViewById(R.id.iphex);
        this.convertDecimal = (Button) findViewById(R.id.convertdec);
        this.convertBin = (Button) findViewById(R.id.convertbin);
        this.convertHexadecimal = (Button) findViewById(R.id.converthex);
        this.convertDecimal.setOnClickListener(new View.OnClickListener() { 
            @Override 
            public void onClick(View view) {
                ((InputMethodManager) Converter_Activity.this.getSystemService(Context.INPUT_METHOD_SERVICE)).toggleSoftInput(1, 0);
                if (Converter_Activity.this.inputIPAddress.getText().toString().trim().length() == 0) {
                    Toast.makeText(Converter_Activity.this.getApplicationContext(), (int) R.string.err_bad_ip,  Toast.LENGTH_SHORT).show();
                } else {
                    Converter_Activity.this.convertDecimal();
                }
            }
        });
        this.convertBin.setOnClickListener(new View.OnClickListener() { 
            @Override 
            public void onClick(View view) {
                ((InputMethodManager) Converter_Activity.this.getSystemService(Context.INPUT_METHOD_SERVICE)).toggleSoftInput(1, 0);
                if (Converter_Activity.this.inputBinary.getText().toString().trim().length() == 0) {
                    Toast.makeText(Converter_Activity.this.getApplicationContext(), (int) R.string.err_bad_ip,  Toast.LENGTH_SHORT).show();
                } else {
                    Converter_Activity.this.convertBinary();
                }
            }
        });
        this.convertHexadecimal.setOnClickListener(new View.OnClickListener() { 
            @Override 
            public void onClick(View view) {
                ((InputMethodManager) Converter_Activity.this.getSystemService(Context.INPUT_METHOD_SERVICE)).toggleSoftInput(1, 0);
                if (Converter_Activity.this.inputHexadecimal.getText().toString().trim().length() == 0) {
                    Toast.makeText(Converter_Activity.this.getApplicationContext(), (int) R.string.err_bad_ip,  Toast.LENGTH_SHORT).show();
                } else {
                    Converter_Activity.this.convertHex();
                }
            }
        });
    }

    public static int stringIPtoInt(String str) throws Exception {
        String[] split = str.split("\\.", 4);
        if (split.length != 4) {
            throw new Exception();
        }
        int i = 0;
        for (String str2 : split) {
            if (str2.length() < 1) {
                throw new Exception();
            }
            try {
                int parseInt = Integer.parseInt(str2);
                if (parseInt > 255) {
                    throw new Exception();
                }
                i = (i << 8) | parseInt;
            } catch (NumberFormatException unused) {
                throw new Exception();
            }
        }
        return i;
    }

    
    public void convertDecimal() {
        String trim = this.inputIPAddress.getText().toString().trim();
        try {
            int stringIPtoInt = stringIPtoInt(trim);
            this.currentIP = trim;
            this.inputBinary.setText(convertIPIntDec2StringBinary(stringIPtoInt));
            this.inputHexadecimal.setText(convertIPIntDec2StringHex(stringIPtoInt));
        } catch (Exception unused) {
        }
    }

    
    public void convertBinary() {
        String trim = this.inputBinary.getText().toString().trim();
        if (trim.length() < 32) {
            return;
        }
        try {
            String substring = trim.substring(0, 8);
            String substring2 = trim.substring(9, 17);
            String substring3 = trim.substring(18, 26);
            String substring4 = trim.substring(27, 35);
            long parseInt = Integer.parseInt(substring, 2);
            long parseInt2 = Integer.parseInt(substring3, 2);
            StringBuilder sb = new StringBuilder();
            sb.append(parseInt);
            sb.append(".");
            sb.append(Integer.parseInt(substring2, 2));
            sb.append(".");
            sb.append(parseInt2);
            sb.append(".");
            sb.append(Integer.parseInt(substring4, 2));
            String sb2 = sb.toString();
            this.currentIP = sb2;
            this.inputIPAddress.setText(sb2);
            this.inputHexadecimal.setText(convertIPIntDec2StringHex(stringIPtoInt(this.currentIP)));
        } catch (Exception unused) {
        }
    }

    
    public void convertHex() {
        String trim = this.inputHexadecimal.getText().toString().trim();
        if (trim.length() < 11) {
            return;
        }
        try {
            String substring = trim.substring(0, 2);
            String substring2 = trim.substring(3, 5);
            String substring3 = trim.substring(6, 8);
            String substring4 = trim.substring(9, 11);
            long parseInt = Integer.parseInt(substring, 16);
            long parseInt2 = Integer.parseInt(substring2, 16);
            long parseInt3 = Integer.parseInt(substring3, 16);
            StringBuilder sb = new StringBuilder();
            sb.append(parseInt);
            sb.append(".");
            sb.append(parseInt2);
            sb.append(".");
            sb.append(parseInt3);
            sb.append(".");
            sb.append(Integer.parseInt(substring4, 16));
            String sb2 = sb.toString();
            this.currentIP = sb2;
            this.inputIPAddress.setText(sb2);
            this.inputBinary.setText(convertIPIntDec2StringBinary(stringIPtoInt(this.currentIP)));
        } catch (Exception unused) {
        }
    }

    public static String convertIPIntDec2StringBinary(int i) {
        String binaryString = Integer.toBinaryString(i);
        int length = binaryString.length();
        if (length < 32) {
            for (int i2 = 0; i2 < 32 - length; i2++) {
                binaryString = "0" + binaryString;
            }
        }
        return binaryString.substring(0, 8) + "." + binaryString.substring(8, 16) + "." + binaryString.substring(16, 24) + "." + binaryString.substring(24, 32);
    }

    public static String convertIPIntDec2StringHex(int i) {
        String hexString = Integer.toHexString(i);
        int length = hexString.length();
        if (length < 8) {
            for (int i2 = 0; i2 < 8 - length; i2++) {
                hexString = "0" + hexString;
            }
        }
        return hexString.substring(0, 2) + "." + hexString.substring(2, 4) + "." + hexString.substring(4, 6) + "." + hexString.substring(6, 8);
    }

    @Override 
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override 
    public void onBackPressed() {
        super.onBackPressed();
        finish();
    }

    @Override 
    public boolean onOptionsItemSelected(MenuItem menuItem) {
        switch (menuItem.getItemId()) {
            case 16908332:
                onBackPressed();
                return true;
            case R.id.rate :
                if (isOnline()) {
                    Intent intent3 = new Intent("android.intent.action.VIEW", Uri.parse("http://play.google.com/store/apps/details?id=" + getPackageName()));
                    intent3.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
                    intent3.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                    startActivity(intent3);
                } else {
                    Toast makeText = Toast.makeText(getApplicationContext(), "No Internet Connection..", Toast.LENGTH_SHORT);
                    makeText.setGravity(17, 0, 0);
                    makeText.show();
                }
                return true;
            case R.id.share :
                if (isOnline()) {
                    Intent intent4 = new Intent("android.intent.action.SEND");
                    intent4.setType("text/plain");
                    intent4.putExtra("android.intent.extra.TEXT", "Hi! I'm using a Who Use My Wi-Fi application. Check it out:http://play.google.com/store/apps/details?id=" + getPackageName());
                    intent4.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
                    startActivity(Intent.createChooser(intent4, "Share with Friends"));
                } else {
                    Toast makeText2 = Toast.makeText(getApplicationContext(), "No Internet Connection..", Toast.LENGTH_SHORT);
                    makeText2.setGravity(17, 0, 0);
                    makeText2.show();
                }
                return true;
            default:
                return super.onOptionsItemSelected(menuItem);
        }
    }

    public boolean isOnline() {
        NetworkInfo activeNetworkInfo = ((ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE)).getActiveNetworkInfo();
        return activeNetworkInfo != null && activeNetworkInfo.isConnectedOrConnecting();
    }
}
