package com.demo.whousemywifi;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.Uri;
import android.net.wifi.WifiManager;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.Toast;
import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.appcompat.widget.Toolbar;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;


import com.demo.whousemywifi.Ipcalculator.Ipcalculator_Activity;
import com.demo.whousemywifi.common.PrefManager;
import com.demo.whousemywifi.pingTools.PingToolsActivity;
import com.demo.whousemywifi.routerInfo.RouterInfoMainActivity;
import com.demo.whousemywifi.speedtest.SpeedTest_Activity;
import com.demo.whousemywifi.whousewifi.WhoUseWiFiMainActivity;
import com.demo.whousemywifi.wifiInfo.WiFiInfoMainActivity;


public class MainActivityHome extends AppCompatActivity {
    private static final int PERMISSION_REQUEST_CODE = 1;
    Activity activity;

   
    Context context;
    ImageView imgWiFiOnOff;

    LinearLayout linPingTools;
    LinearLayout linRouterInfo;
    LinearLayout linSpeedTest;
    LinearLayout linWhoUseWiFi;
    LinearLayout linWiFiOnOff;
    LinearLayout linWiFiOnOffView;
    LinearLayout linWifiInfo;
    LinearLayout lin_calculator;
    
    PrefManager prefManager;
    
    Toolbar toolbar;
    AppCompatTextView txtHomeTitle;

    private boolean checkPermission() {
        return ContextCompat.checkSelfPermission(this.context, "android.permission.ACCESS_FINE_LOCATION") == 0 || ContextCompat.checkSelfPermission(this.context, "android.permission.ACCESS_COARSE_LOCATION") == 0;
    }

    private void requestPermission() {
        ActivityCompat.requestPermissions(this.activity, new String[]{"android.permission.ACCESS_FINE_LOCATION", "android.permission.ACCESS_COARSE_LOCATION"}, 1);
    }

    @Override 
    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        super.onRequestPermissionsResult(i, strArr, iArr);
        if (i != 1) {
            return;
        }
        if (iArr.length <= 0 || iArr[0] != 0) {
            int i2 = iArr[1];
        }
    }

 



    public static final String ACTION_CLOSE = "ACTION_CLOSE";
    private FirstReceiver firstReceiver;
    class FirstReceiver extends BroadcastReceiver {
        FirstReceiver() {
        }
        @Override
        public void onReceive(Context context, Intent intent) {
            Log.e("FirstReceiver", "FirstReceiver");
            if (intent.getAction().equals(ACTION_CLOSE)) {
                finish();
            }
        }
    }
    @Override 
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        getWindow().setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP, Intent.FLAG_ACTIVITY_CLEAR_TOP);

        setContentView(R.layout.activity_main_home);


        AdAdmob adAdmob = new AdAdmob( this);
        adAdmob.BannerAd((RelativeLayout) findViewById(R.id.banner), this);
        adAdmob.FullscreenAd_Counter(this);


        IntentFilter intentFilter = new IntentFilter(ACTION_CLOSE);
        FirstReceiver firstReceiver = new FirstReceiver();
        this.firstReceiver = firstReceiver;
        registerReceiver(firstReceiver, intentFilter);



        this.context = this;
        this.activity = this;
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        this.toolbar = toolbar;
        setSupportActionBar(toolbar);
//        getSupportActionBar().setDisplayHomeAsUpEnabled(true);
//        getSupportActionBar().setHomeButtonEnabled(true);
        getSupportActionBar().setDisplayShowTitleEnabled(false);
        this.linWiFiOnOffView = (LinearLayout) findViewById(R.id.linWiFiOnOffView);
        this.linWiFiOnOff = (LinearLayout) findViewById(R.id.linWiFiOnOff);
        this.linSpeedTest = (LinearLayout) findViewById(R.id.linSpeedTest);
        this.linPingTools = (LinearLayout) findViewById(R.id.linPingTools);
        this.linWifiInfo = (LinearLayout) findViewById(R.id.linWifiInfo);
        this.linRouterInfo = (LinearLayout) findViewById(R.id.linRouterInfo);
        this.linWhoUseWiFi = (LinearLayout) findViewById(R.id.linWhoUseWiFi);
        this.lin_calculator = (LinearLayout) findViewById(R.id.lin_calculator);
        this.txtHomeTitle = (AppCompatTextView) findViewById(R.id.txtHomeTitle);
        this.imgWiFiOnOff = (ImageView) findViewById(R.id.imgWiFiOnOff);

        PrefManager prefManager = new PrefManager(this);
        this.prefManager = prefManager;
        this.linWiFiOnOff.setOnClickListener(new View.OnClickListener() { 
            @Override 
            public void onClick(View view) {
                if (Build.VERSION.SDK_INT >= 29) {
                    Intent intent = new Intent("android.settings.WIFI_SETTINGS");
                    intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                    MainActivityHome.this.startActivity(intent);
                } else if (MainActivityHome.this.isWifiEnabled()) {
                    ((WifiManager) MainActivityHome.this.getApplicationContext().getSystemService(Context.WIFI_SERVICE)).setWifiEnabled(false);
                    MainActivityHome.this.linWiFiOnOffView.setBackgroundResource(R.drawable.home_gradiant_bg_wifi_off);
                    MainActivityHome.this.imgWiFiOnOff.setImageResource(R.drawable.home_icon_wifi_off_home_page_icon);
                    MainActivityHome.this.txtHomeTitle.setText("Tap to Enable Wi-Fi");
                } else {
                    ((WifiManager) MainActivityHome.this.getApplicationContext().getSystemService(Context.WIFI_SERVICE)).setWifiEnabled(true);
                    MainActivityHome.this.linWiFiOnOffView.setBackgroundResource(R.drawable.home_gradiant_bg_wifi_on);
                    MainActivityHome.this.imgWiFiOnOff.setImageResource(R.drawable.home_icon_wifi_on_home_page_icon);
                    MainActivityHome.this.txtHomeTitle.setText("Tap to Disable Wi-Fi");
                }
            }
        });
        this.linSpeedTest.setOnClickListener(new View.OnClickListener() { 
            @Override 
            public void onClick(View view) {
                Intent intent = new Intent(MainActivityHome.this, SpeedTest_Activity.class);
                intent.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
                MainActivityHome.this.startActivity(intent);
            }
        });
        this.linPingTools.setOnClickListener(new View.OnClickListener() { 
            @Override 
            public void onClick(View view) {

                Intent intent = new Intent(MainActivityHome.this, PingToolsActivity.class);
                intent.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
                MainActivityHome.this.startActivity(intent);
            }
        });
        this.linWifiInfo.setOnClickListener(new View.OnClickListener() { 
            @Override 
            public void onClick(View view) {

                Intent intent = new Intent(MainActivityHome.this, WiFiInfoMainActivity.class);
                intent.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
                MainActivityHome.this.startActivity(intent);
            }
        });
        this.linRouterInfo.setOnClickListener(new View.OnClickListener() { 
            @Override 
            public void onClick(View view) {

                Intent intent = new Intent(MainActivityHome.this, RouterInfoMainActivity.class);
                intent.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
                MainActivityHome.this.startActivity(intent);
            }
        });
        this.linWhoUseWiFi.setOnClickListener(new View.OnClickListener() { 
            @Override 
            public void onClick(View view) {

                Intent intent = new Intent(MainActivityHome.this, WhoUseWiFiMainActivity.class);
                intent.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
                MainActivityHome.this.startActivity(intent);
            }
        });
        this.lin_calculator.setOnClickListener(new View.OnClickListener() { 
            @Override 
            public void onClick(View view) {
  
                Intent intent = new Intent(MainActivityHome.this, Ipcalculator_Activity.class);
                intent.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
                MainActivityHome.this.startActivity(intent);
            }
        });
    }

    @Override 
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override 
    public void onBackPressed() {
        super.onBackPressed();
        finish();
    }

    @Override 
    public boolean onOptionsItemSelected(MenuItem menuItem) {
        switch (menuItem.getItemId()) {
            case 16908332:
                onBackPressed();
                return true;

            case R.id.rate :
                if (isOnline()) {
                    Intent intent3 = new Intent("android.intent.action.VIEW", Uri.parse("http://play.google.com/store/apps/details?id=" + getPackageName()));
                    intent3.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
                    intent3.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                    startActivity(intent3);
                } else {
                    Toast makeText = Toast.makeText(getApplicationContext(), "No Internet Connection..", Toast.LENGTH_SHORT);
                    makeText.setGravity(17, 0, 0);
                    makeText.show();
                }
                return true;
            case R.id.share :
                if (isOnline()) {
                    Intent intent4 = new Intent("android.intent.action.SEND");
                    intent4.setType("text/plain");
                    intent4.putExtra("android.intent.extra.TEXT", "Hi! I'm using a Who Use My Wi-Fi application. Check it out:http://play.google.com/store/apps/details?id=" + getPackageName());
                    intent4.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
                    startActivity(Intent.createChooser(intent4, "Share with Friends"));
                } else {
                    Toast makeText2 = Toast.makeText(getApplicationContext(), "No Internet Connection..", Toast.LENGTH_SHORT);
                    makeText2.setGravity(17, 0, 0);
                    makeText2.show();
                }
                return true;
            default:
                return super.onOptionsItemSelected(menuItem);
        }
    }

    public boolean isOnline() {
        NetworkInfo activeNetworkInfo = ((ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE)).getActiveNetworkInfo();
        return activeNetworkInfo != null && activeNetworkInfo.isConnectedOrConnecting();
    }

    
    @Override 
    public void onResume() {
        super.onResume();
        if (Build.VERSION.SDK_INT >= 23) {
            if (checkPermission()) {
                Log.e("pn", "");
            } else {
                Log.e("npg", "");
                requestPermission();
            }
        }
        if (isWifiEnabled()) {
            this.linWiFiOnOffView.setBackgroundResource(R.drawable.home_gradiant_bg_wifi_on);
            this.imgWiFiOnOff.setImageResource(R.drawable.home_icon_wifi_on_home_page_icon);
            this.txtHomeTitle.setText("Tap to Disable Wi-Fi");
            return;
        }
        this.linWiFiOnOffView.setBackgroundResource(R.drawable.home_gradiant_bg_wifi_off);
        this.imgWiFiOnOff.setImageResource(R.drawable.home_icon_wifi_off_home_page_icon);
        this.txtHomeTitle.setText("Tap to Enable Wi-Fi");
    }

    public boolean isWifiEnabled() {
        return ((WifiManager) getApplicationContext().getSystemService(Context.WIFI_SERVICE)).isWifiEnabled();
    }
}
