package com.demo.whousemywifi.common;

import android.content.Context;
import android.content.Intent;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.Toast;
import androidx.appcompat.app.AppCompatActivity;

import com.demo.whousemywifi.AdAdmob;
import com.demo.whousemywifi.MainActivityHome;
import com.demo.whousemywifi.R;


public class ExitActivity extends AppCompatActivity implements View.OnClickListener {
    LinearLayout btnNo;
    LinearLayout btnYes;
    LinearLayout lin_rate_yes;

    @Override 
    public void onBackPressed() {
    }

    
    @Override 
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.adview_layout_exit);


        AdAdmob adAdmob = new AdAdmob( this);
        adAdmob.BannerAd((RelativeLayout) findViewById(R.id.banner), this);




        setContentView();
    }

    private void setContentView() {
        this.btnYes = (LinearLayout) findViewById(R.id.lin_yes);
        this.btnNo = (LinearLayout) findViewById(R.id.lin_no);
        this.lin_rate_yes = (LinearLayout) findViewById(R.id.lin_rate_yes);
        this.btnYes.setOnClickListener(this);
        this.btnNo.setOnClickListener(this);
        this.lin_rate_yes.setOnClickListener(this);
    }

    @Override 
    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.lin_no :
                finish();
                return;
            case R.id.lin_rate_yes :
                if (isOnline()) {
                    Intent intent = new Intent("android.intent.action.VIEW", Uri.parse("http://play.google.com/store/apps/details?id=" + getPackageName()));
                    intent.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
                    intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                    startActivity(intent);
                    return;
                }
                Toast makeText = Toast.makeText(getApplicationContext(), "No Internet Connection..",  Toast.LENGTH_SHORT);
                makeText.setGravity(17, 0, 0);
                makeText.show();
                return;
            case R.id.lin_wifi :
            default:
                return;
            case R.id.lin_yes :
                sendBroadcast(new Intent(MainActivityHome.ACTION_CLOSE));
                finish();
                return;
        }
    }

    public boolean isOnline() {
        NetworkInfo activeNetworkInfo = ((ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE)).getActiveNetworkInfo();
        return activeNetworkInfo != null && activeNetworkInfo.isConnectedOrConnecting();
    }
}
