package com.demo.whousemywifi.whousewifi;

import android.content.Context;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.recyclerview.widget.RecyclerView;
import java.util.ArrayList;
import com.demo.whousemywifi.R;
import com.demo.whousemywifi.whousewifi.models.DeviceModal;


public class DeviceAdapter extends RecyclerView.Adapter<DeviceAdapter.Holder> {
    Context context;
    LayoutInflater inflter;
    ArrayList<DeviceModal> time;
    int val = 1;

    
    public class Holder extends RecyclerView.ViewHolder {
        AppCompatTextView hostIp;
        AppCompatTextView hostMac;
        AppCompatTextView hostMacVendor;
        LinearLayout linBorderView;

        public Holder(View view) {
            super(view);
            this.linBorderView = (LinearLayout) view.findViewById(R.id.linBorderView);
            this.hostMacVendor = (AppCompatTextView) view.findViewById(R.id.hostMacVendor);
            this.hostMac = (AppCompatTextView) view.findViewById(R.id.hostMac);
            this.hostIp = (AppCompatTextView) view.findViewById(R.id.hostIp);
        }
    }

    public DeviceAdapter(Context context, ArrayList<DeviceModal> arrayList) {
        this.context = context;
        this.time = arrayList;
        Log.i("ContentValues", "CustomPingAdapter: " + arrayList.size());
        this.inflter = LayoutInflater.from(context);
    }

    @Override 
    public Holder onCreateViewHolder(ViewGroup viewGroup, int i) {
        return new Holder(LayoutInflater.from(this.context).inflate(R.layout.row_host_item_other_devices, viewGroup, false));
    }

    public int setImage(int i) {
        switch (i) {
            case 1:
                this.val++;
                return R.drawable.color_1;
            case 2:
                this.val++;
                return R.drawable.color_2;
            case 3:
                this.val++;
                return R.drawable.color_3;
            case 4:
                this.val++;
                return R.drawable.color_4;
            case 5:
                this.val++;
                return R.drawable.color_5;
            case 6:
                this.val = 1;
                return R.drawable.color_6;
            default:
                return R.drawable.color_1;
        }
    }

    @Override 
    public void onBindViewHolder(Holder holder, int i) {
        DeviceModal deviceModal = this.time.get(i);
        holder.hostMacVendor.setText(deviceModal.getDeviceName());
        holder.hostMac.setText(deviceModal.getMacAddress());
        holder.hostIp.setText(deviceModal.getIpAddress());
        holder.linBorderView.setBackgroundResource(setImage(this.val));
    }

    @Override 
    public long getItemId(int i) {
        return this.time.size();
    }

    @Override 
    public int getItemCount() {
        ArrayList<DeviceModal> arrayList = this.time;
        if (arrayList == null) {
            return 0;
        }
        return arrayList.size();
    }
}
