package com.demo.whousemywifi.wifiRouterPassword;

import android.content.Context;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Filter;
import android.widget.Filterable;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Locale;
import com.demo.whousemywifi.R;


public class RouterPasswordAdapter extends RecyclerView.Adapter<RouterPasswordAdapter.ViewHolder> implements Filterable {
    private ArrayList<DataModel> arraylist;
    Context c;
    private ArrayList<DataModel> dataSet;

    @Override 
    public Filter getFilter() {
        return null;
    }

    
    public class ViewHolder extends RecyclerView.ViewHolder {
        public View layout;
        public TextView txtBrand;
        public TextView txtPassword;
        public TextView txtType;
        public TextView txtUsername;

        public ViewHolder(View view) {
            super(view);
            this.layout = view;
            this.txtBrand = (TextView) view.findViewById(R.id.txtBrand);
            this.txtType = (TextView) view.findViewById(R.id.txtType);
            this.txtUsername = (TextView) view.findViewById(R.id.txtUsername);
            this.txtPassword = (TextView) view.findViewById(R.id.txtPassword);
        }
    }

    public RouterPasswordAdapter(Context context, ArrayList<DataModel> arrayList) {
        ArrayList<DataModel> arrayList2 = new ArrayList<>();
        this.arraylist = arrayList2;
        this.c = context;
        this.dataSet = arrayList;
        arrayList2.addAll(arrayList);
    }

    @Override 
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        return new ViewHolder(LayoutInflater.from(viewGroup.getContext()).inflate(R.layout.router_password_item, viewGroup, false));
    }

    @Override 
    public void onBindViewHolder(ViewHolder viewHolder, int i) {
        viewHolder.txtBrand.setText(this.dataSet.get(i).getBrand());
        viewHolder.txtPassword.setText(this.dataSet.get(i).getPassword());
        viewHolder.txtType.setText(this.dataSet.get(i).getType());
        viewHolder.txtUsername.setText(this.dataSet.get(i).getUsername());
    }

    public void filter(String str, String str2) {
        try {
            this.dataSet.clear();
            if (!str.isEmpty() && !str2.isEmpty()) {
                Iterator<DataModel> it = this.arraylist.iterator();
                while (it.hasNext()) {
                    DataModel next = it.next();
                    if (next.getType() != null) {
                        Log.i("ContentValues", "filter BOTH: CALLED");
                        if (next.getType().toLowerCase(Locale.getDefault()).contains(str2.toLowerCase()) && next.getBrand().toLowerCase(Locale.getDefault()).contains(str.toLowerCase())) {
                            this.dataSet.add(next);
                        }
                    }
                }
            } else if (!str2.isEmpty()) {
                Log.i("ContentValues", "filter: 11111");
                Iterator<DataModel> it2 = this.arraylist.iterator();
                while (it2.hasNext()) {
                    DataModel next2 = it2.next();
                    if (next2.getType() != null && next2.getType().toLowerCase(Locale.getDefault()).contains(str2.toLowerCase())) {
                        this.dataSet.add(next2);
                    }
                }
            } else if (!str.isEmpty()) {
                Log.i("ContentValues", "filter: 222222");
                Iterator<DataModel> it3 = this.arraylist.iterator();
                while (it3.hasNext()) {
                    DataModel next3 = it3.next();
                    if (next3.getBrand().toLowerCase(Locale.getDefault()).contains(str.toLowerCase())) {
                        this.dataSet.add(next3);
                    }
                }
            } else if (str.isEmpty()) {
                Iterator<DataModel> it4 = this.arraylist.iterator();
                while (it4.hasNext()) {
                    this.dataSet.add(it4.next());
                }
            }
            notifyDataSetChanged();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override 
    public int getItemCount() {
        return this.dataSet.size();
    }
}
